using CsvHelper.Configuration.Attributes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ArtikelUpdateOpencart.Import.Models
{
    
    public class DacomArtikel
    {
        [Index(0)]
        public string Manufacturer { get; set; } = string.Empty;
        [Index(1)]
        public string Category { get; set; } = string.Empty;
        [Index(2)]
        public string Sku { get; set; } = string.Empty;
        [Index(3)]
        public string PartNumber { get; set; } = string.Empty;
        [Index(4)]
        public string Description { get; set; } = string.Empty;
        [Index(5)]
        public decimal StockQuantity { get; set; }
        [Index(6)]
        public decimal IncomingQuantity { get; set; }

        [Index(7)]
        public decimal ListPrice { get; set; }
        [Index(8)]
        public decimal YourPrice { get; set; }

        [Index(9)]
        public decimal PromoPrice { get; set; }
    }
}
